package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.compose.runtime.Stable
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.GameMasterScreen

@Stable
object GameMasterDestination {
    private const val ROUTE = "GameMasterMain"

    fun baseRoute() = ROUTE

    @Stable
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterMainPage() {
    composable(
        route = GameMasterDestination.baseRoute(),
    ) {
        GameMasterScreen()
    }
}

fun NavHostController.navigateToGameMasterMainPage() {
    val route = GameMasterDestination.navigationRoute()
    navigate(route = route)
}